package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.JQXXX;
import com.sinosig.core.module.filter.JQXXXSearchContext;

/**
 * 实体[JQXXX] 服务对象接口
 */

public interface IJQXXXService{
     JQXXX getDraftTemp(JQXXX jqxxx) ;
     JQXXX getDraftTempMajor(JQXXX jqxxx) ;
     JQXXX getDraft(JQXXX jqxxx) ;
     JQXXX createTemp(JQXXX jqxxx) ;
     boolean create(JQXXX jqxxx) ;
     boolean save(JQXXX jqxxx) ;
     JQXXX getTempMajor(JQXXX jqxxx) ;
     boolean update(JQXXX jqxxx) ;
     JQXXX removeTempMajor(JQXXX jqxxx) ;
     JQXXX get(String jqxxxid) ;
     JQXXX get(JQXXX jqxxx) ;
     JQXXX createTempMajor(JQXXX jqxxx) ;
     JQXXX updateTempMajor(JQXXX jqxxx) ;
     boolean remove(String jqxxxid) ;
     JQXXX removeTemp(JQXXX jqxxx) ;
     boolean checkKey(JQXXX jqxxx) ;
     JQXXX updateTemp(JQXXX jqxxx) ;
     JQXXX getTemp(JQXXX jqxxx) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<JQXXX> searchDefault(JQXXXSearchContext context) ;

    /**
     * 根据车险单查询
     */
     Page<JQXXX> selectByJQXXX(String cidid) ;
     List<JQXXX> selectByJQXXX2(String cidid);

}
